<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">

<head>
<title>Precious Memories</title>
<link rel="stylesheet" type="text/css" href="../css/general.css" />
</head>

<body>

<h1 class="songtitle">Precious Memories</h1>

<p>Trad.<br />
Released on <a href="index.htm" class="recordlink">Knocked Out Loaded</a> (1986)<br />
Tabbed by Eyolf &Oslash;strem</p>

<hr />

<pre class="verse">
Bb  .  F  .  Bb .  .  .

Bb          Eb           Bb
 As I travel down life's pathway
           C7               F
Know not what the years may hold
Bb         Eb          Bb
As I ponder hopes grow fonder
Bb        F                 Bb
 Precious memories flood my soul
</pre>

<pre class="refrain">
Bb               Eb        Bb
Precious memories how they linger

How they ever flood my soul
                Eb      Bb
In the stillness of the midnight
         F               Bb
Precious sacred scenes unfold.
</pre>

<pre class="verse">
Precious father loving mother
Glide across the lonely years
And old home scenes of my childhood
In fond memories appears
</pre>

<pre class="refrain">
Precious memories how they linger
How they ever flood my soul
In the stillness of the midnight
Precious memories sacred scenes unfold.
</pre>

<hr />

<h2 class="songversion">Chords as played at Toad's Place, New Haven CT, Jan 12 1990</h2>

<p>The lyrics differ somewhat from the album version.</p>
<pre class="verse">
C           F            C
 As I travel down life's pathway
           D7               G
Know not what the years may hold
C          F           C
As I ponder hopes grow fonder
C         G                 C
 Precious memories flood my soul
</pre>

<pre class="refrain">
C                F         C
Precious memories how they linger

How they ever flood my soul
                F       C
In the stillness of the midnight
         G               C
Precious sacred scenes unfold.
</pre>
</body></html>
